Package Details: gnome-shell-extension-vertical-overview-git v6.r0.g832fb87-1

Git Clone URL: https://aur.archlinux.org/gnome-shell-extension-vertical-overview-git.git (read-only, click to copy)
Package Base: gnome-shell-extension-vertical-overview-git
Description: Gnome 40 Vertical workspaces
Upstream URL: https://github.com/RensAlthuis/vertical-overview
Licenses: GPL2
Submitter: jkoelker
Maintainer: op3 (jcsanyi)
Last Packager: op3
Votes: 6
Popularity: 0.000001
First Submitted: 2021-04-08 16:33 (UTC)
Last Updated: 2021-06-02 19:32 (UTC)

Latest Comments

jkoelker commented on 2023-11-06 14:58 (UTC)

@xuhcc I've switched to https://github.com/G-dH/vertical-workspaces, I'll orphan this so you can take it up if you'd like to maintain it.

xuhcc commented on 2023-11-06 14:20 (UTC)

This fork supports Gnome 45: https://github.com/mtsoltan/vertical-overview

I had to change pkgver() function in PKGBUILD to make it work:

printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

jcsanyi commented on 2022-01-23 04:22 (UTC)

Thanks, but I think I found the problem in my setup instead - it's a problem with the aurutils scripts that I recently started using - they don't properly detect vcs based packages. Everything seems to be working properly now with the existing PKGBUILD.

jkoelker commented on 2022-01-23 03:14 (UTC)

@op3, @jcsanyi flagged this out of date as its not pulling in the latest changes, but I am seeing the original PKGBUILD prior to the last changes pulling in the latest.

@jcsanyi You quoted the VCS package guidelines, the PKGBUILD's pkgver() function matches the example for most recent annotated tag reachable from the last commit. I've added you as a Co-Maintainer if you have better knowledge of packaging git versions, please let us know, or help us to fix it. Thanks for the heads up!

jkoelker commented on 2021-05-25 15:53 (UTC)

Thanks, PKGBUILD is still super new for me, I've added you as a Co-Maintainer if you want to help fix it.

op3 commented on 2021-05-23 19:59 (UTC) (edited on 2021-05-23 20:00 (UTC) by op3)

The current pkgver used by this PKGBUILD is a bit unfortunate: It only consists of the latest git commit hash, which is not monotonically increasing. Thus, one is constantly (erroneously) prompted about this package being updated by AUR helpers.

For more information and possible solutions, refer to the wiki